SMEMSTAT(8)

NAME
smemstat - report memory usage with shared memory divided proportionally

SYNOPSIS
smemstat [options] [delay [count]]

DESCRIPTION
smemstat reports the physical memory usage taking into consideration shared memory. Swap reports memory that is swapped out to disk. Unshared memory is reported as USS (Unique Set Size). Unshared memory including the proportion of shared memory is reported as the PSS (Proportional Set Size). The non-swapped physical memory is reported as the RSS (Resident Set Size). Running with root privilege will report all user space processes, otherwise running without will just report the current user's processes. If a delay and count are not specified, a snapshot of the current memory used by the user's processes is report. If a delay in seconds is specified, smemstat will periodically show any per-process changes in memory; the interval being the specified delay. This will run indefinitely until a SIGINT is caught. Specifying count will repeat the periodic output count number of times.

OPTIONS
smemstat options are as follow:

-a  show memory size change with up arrow ↑ (increase) and down arrow ↓ (decrease)

-c  get command information from processes comm field

-d  strip directory basename off command information

-g  report memory in gigabytes

-h  show help

-k  report memory in kilobytes

-l  show long (full) command information

-m  report memory in megabytes

-o file
    output data into a JSON formatted file

-p proclist
    specify a comma separated list of processes to monitor. The process list may contain one or more PIDs or process names.

-q  run quietly, only really makes sense with -o option

-s  show short command information

-t  top mode, show top changes of memory

-T  top mode, show top consumers of memory

When running in 'top mode', pressing 'q' will quit, 'a' toggles the memory change arrow, 't' toggles the top consumers of memory view.

SEE ALSO
cpustat(8), eventstat(8), forkstat(8), top(1), vmstat(8)

AUTHOR
smemstat was written by Colin Ian King <colin.i.king@gmail.com>

This manual page was written by Colin Ian King <colin.i.king@gmail.com>, for the Ubuntu project (but may be used by others).

COPYRIGHT
Copyright © 2014-2021 Canonical Ltd, Copyright © 2021-2202 Colin Ian King.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.